Easier Versioning For Learnosity APIs

simplified versioning

From the 6th of June 2018, we’ll be unifying the versioning across our APIs in order to make it simpler for your Product, Development, and QA teams working with Learnosity.


Update 2018-06-06:  LTS Release is now live – view full details and integration notes

Why now?

Over the last six years we have released over 1000 different versions of our APIs while maintaining compatibility and improving functionality. However, our success at rapidly evolving our APIs has made it difficult for our customers to keep up.

In order to address this customer feedback, we’re moving from releases every three weeks to releases approximately every four months, which best matches our customers’ development cadence. Every May, October, and February we will be releasing versions of our APIs that will be supported.

v2018.1.LTS will be released on the 30th May 3018 and is the first Long Term Support (LTS) version that provides a simpler way to ensure you are using the best and most stable versions of the Learnosity APIs.

What’s the Change?

We are unifying version numbering across the API’s to make it easier to answer the question – “What version of Learnosity am I using?”

Instead of calling Items API v1.81 & Author API v1.31 and Reports API v1.4 – you’ll be able to specify v2018.1.LTS for all of them, and know the versions will all work together in perfect harmony and get all bug fixes.

For new versions from 30th May 2018 – you’ll need to use the new naming convention. All old versions will continue to be available so no change is needed right now.

What APIs does it apply to?

This applies across all of our core APIs:

  • Authoring – Author API and Question Editor API
  • Assessment – Items API, Assess API, and Questions API
  • Analytics – Reports API, Data API, and Events API
What do I need to do?

Right now, nothing. If you are updating your system to take advantage of the latest versions of the APIs then you should use an LTS version that will ensure the greatest stability.

Are there any incompatible changes?

No – these are the same versions and there are no compatibility changes, just simpler versioning across the growing Learnosity stack.

FAQs

Can I still get the latest versions?

Yes. You can still subscribe to the latest version for your development environment to ensure you are seeing latest and greatest.

Does this mean we’re slowing down?

Absolutely not. The latest releases will still be every three weeks, but we’ll be spending more time communicating the significant changes every four months rather than a deluge every three weeks.

Can I still request patch versions?

No. Following our best practice recommendations and to ensure SLA compatibility, we have removed support for patch versions going forward. Our SemVer approach means we only fix bugs on patch versions. No new features are included in order to reduce risk and make it safer for our customers as security fixes can be applied more quickly.

What do I need to tell my developers?

All the information your developers will need can be found right here.

What if I have another question?

Please get in touch via usual support channels.

Related Content


This post was posted in , , , , , , by on